declare type EventCb<T = any, U = any, V = any> = (a?: T, b?: U, c?: V) => void;
export declare class GunEvent<T = any, U = any, V = any> {
    name: string;
    private _listeners;
    constructor(name?: string);
    listenerCount(): number;
    on(cb: EventCb<T, U, V>): void;
    off(cb: EventCb<T, U, V>): void;
    reset(): void;
    trigger(a?: T, b?: U, c?: V): void;
}
export {};
