"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
function addMissingState(graphData) {
    var updatedGraphData = __assign({}, graphData);
    var now = new Date().getTime();
    for (var soul in graphData) {
        var node = graphData[soul];
        if (!node)
            continue;
        var meta = (node._ = node._ || {});
        meta['#'] = soul;
        var state = (meta['>'] = meta['>'] || {});
        for (var key in node) {
            if (key === '_')
                continue;
            state[key] = state[key] || now;
        }
        updatedGraphData[soul] = node;
    }
    return updatedGraphData;
}
exports.addMissingState = addMissingState;
//# sourceMappingURL=addMissingState.js.map