"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
function mergeGunNodes(existing, updates) {
    if (!existing)
        return updates;
    if (!updates)
        return existing;
    var existingMeta = existing._;
    return __assign(__assign(__assign({}, existing), updates), { _: {
            '#': existingMeta['#'],
            '>': __assign(__assign({}, existingMeta['>']), updates._['>'])
        } });
}
exports.mergeGunNodes = mergeGunNodes;
function mergeGraph(existing, diff) {
    var result = __assign({}, existing);
    for (var soul in diff) {
        result[soul] = mergeGunNodes(existing[soul], diff[soul]);
    }
    return result;
}
exports.mergeGraph = mergeGraph;
//# sourceMappingURL=mergeGunNodes.js.map